shisa_cfg(3)

NAME
shisa_cfg - API function

SYNOPSIS
#include <shisa.h>

int shisa_cfg(Shisa * dbh, const char * option);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * option
    String with options to prime the Shisa library.

DESCRIPTION
Configures the Shisa library from the specification option. This call expects a string declaration of the form "db=VALUE", or "db VALUE". Here VALUE is the same declaration as used by shisa_cfg_db(), i.e., of the form "TYPE[ LOCATION[ PARAMETER]]".

The prefix "db", mandatory in option, makes shisa_cfg() suited to a syntax with key-value pairs also in PARAMETER.

RETURN VALUE
Returns SHISA_OK if option is valid.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.